## org.apache.felix.bundleplugin
Class ManifestPlugin

    java.lang.Object
      org.apache.maven.plugin.AbstractMojo
          org.apache.felix.bundleplugin.BundlePlugin
              org.apache.felix.bundleplugin.ManifestPlugin

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

Direct Known Subclasses:
  BundleAllPlugin

    public class ManifestPlugin

extends BundlePlugin

Generate an OSGi manifest for this project

Field Summary

Fields inherited from class org.apache.felix.bundleplugin.BundlePlugin
`classifier, dumpClasspath, dumpInstructions, excludeDependencies, manifestLocation, supportedProjectTypes, unpackBundle`

Fields inherited from interface org.apache.maven.plugin.Mojo
`ROLE`

Constructor Summary
`ManifestPlugin()`

Method Summary
`protected void` `execute(org.apache.maven.project.MavenProject project, java.util.Map instructions, java.util.Properties properties, aQute.lib.osgi.Jar[] classpath)`
`protected aQute.lib.osgi.Analyzer` `getAnalyzer(org.apache.maven.project.MavenProject project, aQute.lib.osgi.Jar[] classpath)`
`protected aQute.lib.osgi.Analyzer` `getAnalyzer(org.apache.maven.project.MavenProject project, java.util.Map instructions, java.util.Properties properties, aQute.lib.osgi.Jar[] classpath)`
`java.util.jar.Manifest` `getManifest(org.apache.maven.project.MavenProject project, aQute.lib.osgi.Jar[] classpath)`
`java.util.jar.Manifest` `getManifest(org.apache.maven.project.MavenProject project, java.util.Map instructions, java.util.Properties properties, aQute.lib.osgi.Jar[] classpath)`
`static void` `writeManifest(java.util.jar.Manifest manifest, java.io.File outputFile)`

Methods inherited from class org.apache.felix.bundleplugin.BundlePlugin

`addMavenInstructions, buildOSGiBundle, convertVersionToOsgi, dumpClasspath, dumpInstructions, dumpManifest, execute, execute, getBase, getBuildDirectory, getBundleName, getClasspath, getDefaultProperties, getEmbeddableArtifacts, getFile, getMaven2OsgiConverter, getMavenResourcePaths, getOptionalPackages, getOSGiBuilder, getOutputDirectory, getProject, includeMavenResources, isTransitivelyOptional, mergeMavenManifest, removeTagFromInstruction, reportErrors, setBuildDirectory, setMaven2OsgiConverter, setOutputDirectory, transformDirectives`

Methods inherited from class org.apache.maven.plugin.AbstractMojo
`getLog, getPluginContext, setLog, setPluginContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManifestPlugin

    public ManifestPlugin()

Method Detail

### execute

    protected void execute(org.apache.maven.project.MavenProject project,
                           java.util.Map instructions,
                           java.util.Properties properties,
                           aQute.lib.osgi.Jar[] classpath)
                    throws org.apache.maven.plugin.MojoExecutionException

  Overrides:
    `execute` in class `BundlePlugin`
  Throws:
    `org.apache.maven.plugin.MojoExecutionException`

### getManifest

    public java.util.jar.Manifest getManifest(org.apache.maven.project.MavenProject project,
                                              aQute.lib.osgi.Jar[] classpath)
                                       throws java.io.IOException,
                                              org.apache.maven.plugin.MojoFailureException,
                                              org.apache.maven.plugin.MojoExecutionException,
                                              java.lang.Exception

  Throws:
    `java.io.IOException`
    `org.apache.maven.plugin.MojoFailureException`
    `org.apache.maven.plugin.MojoExecutionException`
    `java.lang.Exception`

### getManifest

    public java.util.jar.Manifest getManifest(org.apache.maven.project.MavenProject project,
                                              java.util.Map instructions,
                                              java.util.Properties properties,
                                              aQute.lib.osgi.Jar[] classpath)
                                       throws java.io.IOException,
                                              org.apache.maven.plugin.MojoFailureException,
                                              org.apache.maven.plugin.MojoExecutionException,
                                              java.lang.Exception

  Throws:
    `java.io.IOException`
    `org.apache.maven.plugin.MojoFailureException`
    `org.apache.maven.plugin.MojoExecutionException`
    `java.lang.Exception`

### getAnalyzer

    protected aQute.lib.osgi.Analyzer getAnalyzer(org.apache.maven.project.MavenProject project,
                                                  aQute.lib.osgi.Jar[] classpath)
                                           throws java.io.IOException,
                                                  org.apache.maven.plugin.MojoExecutionException,
                                                  java.lang.Exception

  Throws:
    `java.io.IOException`
    `org.apache.maven.plugin.MojoExecutionException`
    `java.lang.Exception`

### getAnalyzer

    protected aQute.lib.osgi.Analyzer getAnalyzer(org.apache.maven.project.MavenProject project,
                                                  java.util.Map instructions,
                                                  java.util.Properties properties,
                                                  aQute.lib.osgi.Jar[] classpath)
                                           throws java.io.IOException,
                                                  org.apache.maven.plugin.MojoExecutionException,
                                                  java.lang.Exception

  Throws:
    `java.io.IOException`
    `org.apache.maven.plugin.MojoExecutionException`
    `java.lang.Exception`

### writeManifest

    public static void writeManifest(java.util.jar.Manifest manifest,
                                     java.io.File outputFile)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2011. All Rights Reserved.